com.trendmicro.ds.appcontrol.rest.object.drift

## Class DriftHostGroup

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.DriftHostGroup

-     public class DriftHostGroup
      extends java.lang.Object

  A representation of a host group, including a set of child groups and a drift item count across all hosts and child groups in the group.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DriftHostGroup()`
    `DriftHostGroup(int id)`
    `DriftHostGroup(java.lang.Integer id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(DriftHostGroup child)`
    `void` | `addToCount(long toAdd)`
    `void` | `addToCount(java.lang.Long toAdd)`
    `java.util.List<DriftHostGroup>` | `getChildren()` The child groups in this host group, including their own drift item counts.
    `long` | `getCount()` The number of drift items in the host group.
    `int` | `getId()` The host group ID assigned by the DSM.
    `java.lang.String` | `getName()` The name of the host group.
    `java.lang.String` | `getType()` The type of the host group.
    `void` | `setChildren(java.util.List<DriftHostGroup> children)`
    `void` | `setCount(long count)`
    `void` | `setId(int id)`
    `void` | `setName(java.lang.String name)`
    `void` | `setType(java.lang.String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DriftHostGroup

          public DriftHostGroup()

    - #### DriftHostGroup

          public DriftHostGroup(int id)

    - #### DriftHostGroup

          public DriftHostGroup(java.lang.Integer id)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      The name of the host group.
      Returns:

    - #### setName

          public void setName(java.lang.String name)

    - #### getType

          public java.lang.String getType()

      The type of the host group.
      Returns:

    - #### setType

          public void setType(java.lang.String type)

    - #### getCount

          public long getCount()

      The number of drift items in the host group. This includes all drift items in hosts that are part of this host group and any of its descendant groups.
      Returns:

    - #### setCount

          public void setCount(long count)

    - #### getChildren

          public java.util.List<DriftHostGroup> getChildren()

      The child groups in this host group, including their own drift item counts.
      Returns:

    - #### setChildren

          public void setChildren(java.util.List<DriftHostGroup> children)

    - #### addChild

          public void addChild(DriftHostGroup child)

    - #### addToCount

          public void addToCount(long toAdd)

    - #### addToCount

          public void addToCount(java.lang.Long toAdd)

    - #### getId

          public int getId()

      The host group ID assigned by the DSM. A host group ID of -1 means that this is the root host group.
      Returns:

    - #### setId

          public void setId(int id)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.